Page MenuHomePhabricator

Individual newsletter pages should have a visual hierarchy
Closed, ResolvedPublic

Description

Summary
The content on a single newsletter listing is useful, but does not show a hierarchy of information (the most important first) nor clear section headings.

Description
Suggestions to improve this display of information would be to do the following.

  • Bold the sections in some way - These sections currently are the same weight and size as the rest of the text on the page. Specificlaly "Main page", "Description", "Publishers", "Subscriber count:" and "Newsletter issue announcements:"
  • Move the description file to the first section as it is the most relevant to new readers on why they would want to subscribe.
  • Relabel "Main_page" with something more specific. "Main_Page" is a phrase used in MediaWiki to define the name of the default main page when setting up a new wiki. Suggestion: "Newsletter main page"
  • Remove duplication of links in the bread crumb navigation. I'm not sure why they are repeated so close to one another but they produce visual confusion so close to one another. Remove the breadcrumb or the OOUI versions of the redundant actions (Subscribe, Manage, View subscribers, Announce)

Mockup
All suggested changes in this task:

Event Timeline

Ckoerner created this task.Nov 20 2017, 6:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 20 2017, 6:43 PM
QuimGil triaged this task as Low priority.Nov 21 2017, 10:00 AM
QuimGil added a project: Google-Code-in-2017.
QuimGil added a subscriber: QuimGil.

Absolutely, thank you very much for these ideas and the mockup. This looks like a good candidate for Google-Code-in-2017

Who would/could mentor this for Google-Code-in-2017 ?

Could maybe mentor this. Not alone though. @Florian, @01tonythomas , @Bawolff , interested in helping?

Imported to GCI, will be made available later in the contest when all mentors are available.

I was free to added me as a mentor, too, together with @MtDu and @01tonythomas we can get this! :)

Albert221 updated the task description. (Show Details)Dec 27 2017, 8:54 PM

Change 400451 had a related patch set uploaded (by Albert221; owner: Albert221):
[mediawiki/extensions/Newsletter@master] Improve visual hierarchy on Newsletter page

https://gerrit.wikimedia.org/r/400451

That's the result of the patch:

Florian closed this task as Resolved.Dec 28 2017, 5:49 PM
Florian claimed this task.

Change 400451 merged by jenkins-bot:
[mediawiki/extensions/Newsletter@master] Improve visual hierarchy on Newsletter page

https://gerrit.wikimedia.org/r/400451